:root {
    --purple: #4C2E8A;
    --pink: #ef3391;
    --blue: #009FE3;
    --black: #000000;
    --white: #FFFFFF;
    --gray: #687083;
    --gray-light: #e5e7eb;
    
    --color-bg: #f8f9fa;
    --color-btn: #160e2a;

    --pink-dark: #de2683;

    --radius-full: 999px;
    --radius-xl: 28px;
    --radius-lg: 22px;
    --radius-md: 16px;
    --shadow-main: 0 18px 45px rgba(0, 0, 0, 0.28);

    --space-xs: 4px;
    --space-sm: 8px;
    --space-md: 16px;
    --space-lg: 24px;
    --space-xl: 32px;
    --space-2xl: 48px;
}

* {
    box-sizing: border-box;
}

html {
    font-family: 'Figtree', sans-serif;
}

body {
    margin: 0;
    background: var(--white);
}

main {
    flex: 1;
    display: flex;
    flex-direction: column;
}

#app {
    height: 100vh;
    display: flex;
    flex-direction: row;
    position: relative;
}

h1, h2, h3, h4, h5, h6 {
    margin: 0;
    color: var(--white);
}

p {
    margin: 0;
    color: var(--white);
}

a {
    color: var(--white);
    text-decoration: none;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

button {
    background: none;
    border: none;
    cursor: pointer;
    font-family: inherit;
    font-size: inherit;
    transition: 0.15s;
}

button:active {
    transform: scale(0.95);
}

.container {
    margin: 0 auto;
    max-width: 1920px;
    min-height: 100%;
    display: flex;
    width: 100%;
}

.container.with-padding {
    padding: 0 var(--space-lg);
}

.container.column {
    flex-direction: column;
}

.loader-container {
    display: flex;
    flex-direction: column; /* Stack the loader and text vertically */
    justify-content: center;
    align-items: center;
    flex: 1;
}

.loader {
    position: relative;
    width: 250px;
    height: 250px;
    border-radius: 50%;
    background: conic-gradient(var(--pink) var(--blazor-load-percentage, 0%), #e0e0e0 0);
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 20px;
}

.loader::before {
    content: '';
    position: absolute;
    inset: 10px;
    background: var(--color-bg);
    border-radius: 50%;
}

.loader .logo {
    position: relative;
    z-index: 10;
    width: 100px;
    height: 100px;
}

.progress-text::after {
    content: var(--blazor-load-percentage-text, "0%");
    font-weight: bold;
    color: var(--white);
}

